You are here

LyX Portable 2.2.2 Dev Test 2

121 posts / 0 new
Last post
rbon
Offline
Last seen: 17 hours 39 min ago
Joined: 2011-04-30 13:26
LyX Portable

LyX installer ver. 2.2.0 has been released:
- web site: https://www.lyx.org/
- download page: https://www.lyx.org/Download
- direct download: ftp://ftp.lyx.org/pub/lyx/bin/2.2.0/LyX-220-Bundle-2.exe

@darksabre76
It's possible to update Your LyX Portable v. 2.1.1 to ver 2.2.0 ?

Thanks

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Full Package

We need a full package which allows the creation of PDF.

Is that the case?

Thank You.

vf2nsr
vf2nsr's picture
Offline
Last seen: 6 years 1 month ago
Developer
Joined: 2010-02-13 17:10
LibreOffice

can create PDF files

“Be who you are and say what you feel because those who mind don't matter and those who matter don't mind.” Dr. Seuss

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Hiatus

Still on hiatus because of a hectic life. If anyone wants to take this over, go for it. I won't be updating it anywhere near soon.

kewapo
Offline
Last seen: 6 years 4 months ago
Joined: 2014-04-29 04:31
Lyx 2.2

I have a portable Lyx 2.1.4 in my stick. I Made it from your portable 2.1.1 installing Lyx 2.1.4 and copy all the installation files to my stick.
With the new Lyx 2.2 version I tried to make a portable installation in the same way but there are some errors I don't know how to solve.

In the Lyx wiki there are some instructions to make a portable Lyx, but they don't run with the new Lyx 2.2

Maybe you can help me. I can send you my portable Lyx 2.1.4 in a .7z file.

Thanks

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
LyX

I really hope someone will make this right for once.
Create LyX with all the needed packages portable.

It's such a great program!

kewapo
Offline
Last seen: 6 years 4 months ago
Joined: 2014-04-29 04:31
I have a Portable Lyx 2.2.1

¡¡¡ I succeeded !!!

I have a portable Lyx, version 2.2.1 THE LAST ONE.
I don't know the way to share or package for this platform. Is a directory in my pen (more than 1 Gb with Jabref and Miktex portable)..

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
How?

How did you create a portable LyX with all packages?

Could you share how to do it?

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Any Updates?

LyX is amazing.

I wish someone could maintain this (Version 2.2.2 is out).

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Try, there is no try...

You might be in luck. I'm getting back into packaging the apps again, starting alphabetically and working my way down. Most of them will be very quick updates to get back into the swing of things and then I'll start to address any test issues. If all goes well, LyX will have an update in the next few days.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Updated: 2.2.2 Dev Test 1

Updated to 2.2.2 Dev Test 1. See release notes for details.

I heard that some people might be using this Blum

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Some Issues

Hi,

I installed the latest LyX and the Latest MiKTeX you posted (Including the launcher).
It seem I can't export PDF from LyX.

For example, using Ctrl+R this is what I get (Of course MiKTeX is running in the background):

http://i.imgur.com/Gi4yUyc.png

Why is that?

Thank You.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Install

That's just the install screen for a new package. It's just saying that it needs to download something in order to work properly. I'd say just let it download an install if possible and report back. I only updated the base MiKTeX app because it's a better starting point. Otherwise, older versions should still be updatable by themselves.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
The Issue Is Different

The issue is a little different than that.
It tries to download a file already exists in the Portable MiKTeX (Namely, when it says it is not there it means it looks in the wrong path as it does exist in the correct path under the Portable MiKTeX installation).

It seems there is some kind of folders and path configuration to make.

Thank You.

P. S.

Tried the new MiKTeX, this produced this error:

http://i.imgur.com/qIuMceP.png

You're close to make it work :-).

Thank You.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Updated: 2.2.2 Dev Test 2

Updated to 2.2.2 Dev Test 2. See release notes for details.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Downloading

The post above was done with Test 01.

Downloading Test 02 now.

By the way, where can one read release notes?

Thank You.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
It Works!!!

OK, Test 02 works with MiKTeX Test 02.

The only thing when I use Ctrl + R for preview it asks for PDF.

I want to the launcher settings (launcher.ini) to add PDF as in the first post and I see Foxit and Sumatra already defined (I have them both installed).
This is what I have in the ini file:

[Environment]
TEX=%PAL:PortableAppsDir:ForwardSlash%/CommonFiles/MiKTeX/texmfs/install/miktex/bin;%PAL:AppDir:ForwardSlash%/LyX/bin;%PAL:AppDir:ForwardSlash%/LyX/Python;%PAL:AppDir:ForwardSlash%/LyX/Python/Lib;%PAL:AppDir:ForwardSlash%/LyX/imagemagick;%PAL:PortableAppsDir:ForwardSlash%/AsymptotePortable;%PAL:PortableAppsDir:ForwardSlash%/GSviewPortable;%PAL:PortableAppsDir:ForwardSlash%/CommonFiles/Ghostscript/bin;%PAL:PortableAppsDir:ForwardSlash%/CommonFiles/StrawberryPerl/perl/bin
PDF=%PAL:PortableAppsDir:ForwardSlash%/FoxitReaderPortable;%PAL:PortableAppsDir:ForwardSlash%/SumatraPDFPortable;%PAL:PortableAppsDir:ForwardSlash%/EvincePortable
EXTRAS=%PAL:PortableAppsDir:ForwardSlash%/GIMPPortable;%PAL:PortableAppsDir:ForwardSlash%/GnumericPortable/;%PAL:PortableAppsDir:ForwardSlash%/GraphvizPortable
PATH=%TEX%;%PDF%;%EXTRAS%;%PATH%

Yet still this what I get int LyX:

http://i.imgur.com/psO2DYI.png

By the way I have PDF reader installed, how come it doesn't fall to the default PDF?

Thank You.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Looking

I'm taking a look right now. It's been a little while since I've used LyX so I have to see where it writes the path for the PDF reader. Might end up releasing a new test if it's worthwhile.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Default

Okay, figured out how to do this. It's a very simple step, so I'll try to write it out the best I can.

1) Open LyX and go to Tools Menu -> Preferences
2) On the left hand side, select File Handling -> File Formats
3) On the top where it says "Format", select "PDF (pdflatex)"
4) Below, there's an option called "Viewer". Select "Custom" from the dropdown and put "SumatraPDFPortable.exe" in the text box.
5) Apply, Save, Enjoy.

I'll set these as default the next time around.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Done

OK,
I did this and it works.

But I thought it was inkjeted in the the ini settings, wasn't it?

Otherwise, what's the point int the PDF lines there?

Thank You.

P. S.
Once those are official for the site I will donate again for the site just because of those programs.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Changed

If you changed the settings yourself, then they'd be in the configuration file. Otherwise, they just use the default, whatever that is. So in this case, I'd have to add those lines to the settings. Same goes for pretty much anything else like gvedit or Gnumeric.

As for donation, don't hold your breath for this (or a lot of my apps) to be official any time soon. They have to get the okay from the higher-ups and then we have to make sure they're entirely portable. Both of those take time. Not to mention I just got back into this, so I probably made some mistakes in updates, as we just saw. So if you like what they do in general, donate, but don't use this app as the reason Smile

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
I Guess I'm Missing Something

The ini (launcher.ini) in its original form (Never touched it) includes reference to Sumatara and Foxit.

My question is, how come it doesn't work out of the box?

Regarding donation, I donated for what I'm using so far.
You added something that once it works I'd like to donate for as well.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Clarification

Ah, I get your confusion now. The launcher environment variables make it easier for things to work for people, not necessarily set things that are specific to LyX. I included those massive paths mostly because I wanted to let people choose what they wanted to use. And adding all of the known paths made it as easy as saying "add the portable launcher as the default". That sort of stuff is taken care of in the LyX configuration file, not launcher.ini. That's why it's not set up by default, though a future release will take care of that.

Hope that clears things up.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
More Information

Have a look here:

http://tex.stackexchange.com/questions/259201/no-pdf-viewer-installed-er...

If the path to Sumatara is defined, LyX should identify it and have it as a choice in the menu in File Handlers.

Since you added it to PATH variable I expected it to work (Namely be shown on the menu or just work out of the box).
Since it doesn't I guess small fix is needed (I have Sumatra, Evince and Foxit all installed in PortableApps folder yet none of them is identified).

The file I was talking about is LyXPortable.ini

Thank You.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
More clarification

The issue in question is not that they're in the path, it's that the launchers (that is "SumatraPDFPortable.exe") are not what would be expected by LyX. LyX probably expects SumatraPDF.exe, and when it can't find it, defaults to saying "help me". The application INI (LyXPortable.ini) is still something that I had to create and isn't native to LyX. Modifying that won't help LyX find the portable versions instead. That's why those steps are really needed. It's a pain, but it's the best I can do without trying to find the source code and doing some fix (which I really don't want to do).

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Yep...

Actually just was about to write it.

The "Remark" on the first post is wrong.
By adding SumatraPDFPortable in the ini won't make "LyX" work with it.
It must be done by hand as you wrote above.
I can live with it :-).

Yet, once the paths are added as you did, in custom all needed is "SumatraPDFPortable.exe" hence they better stay there.

The rest seems to wok perfectly.

Thank You.

darksabre76
darksabre76's picture
Offline
Last seen: 1 year 6 months ago
Developer
Joined: 2011-04-19 23:28
Great

Always good to hear that it's working otherwise. Let's see if it holds up and then see if we can get it as a candidate for release again.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Some More Details

On a Windows 7 computer with Adobe Reader as its default PDF Viewer it worked out of the box.

On my computer, Windows 10, with Microsoft Reader as the default PDF Viewer it didn't launch it and I had to configure the PDF Viewer manually as above.

I guess someone should notify LyX developers and ask them to support more PDF Viewers which are the default OS PDF Viewer.

Thank You.

Drazick
Offline
Last seen: 1 day 15 hours ago
Joined: 2010-09-06 06:36
Version 2.2.3 Is Out

LyX 2.2.3 is out.

Any chance for update?

thank_you_for_p...
Offline
Last seen: 7 months 5 hours ago
Joined: 2017-12-31 21:06
Thanks, Version 2.2.2 worked for me

Thanks, Version 2.2.2 worked for me

Pages

Log in or register to post comments